Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request POST \
--url https://{instance}.omniapp.co/api/scim/v2/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Blob Sales",
"members": [
{
"value": "9e8719d9-276a-4964-9395-a493189a247c"
}
]
}
'{
"displayName": "Blob Sales",
"id": "mEhXj6ZI",
"meta": {
"created": "2024-12-04T00:08:03.250Z",
"lastModified": "2024-12-04T00:08:03.250Z",
"resourceType": "Group"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"members": [
{
"display": "blob.ross@blobsrus.co",
"value": "9e8719d9-276a-4964-9395-a493189a247c"
}
]
}Creates a user group. To manage model and connection role assignments for user groups, see the User group model role APIs.
curl --request POST \
--url https://{instance}.omniapp.co/api/scim/v2/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Blob Sales",
"members": [
{
"value": "9e8719d9-276a-4964-9395-a493189a247c"
}
]
}
'{
"displayName": "Blob Sales",
"id": "mEhXj6ZI",
"meta": {
"created": "2024-12-04T00:08:03.250Z",
"lastModified": "2024-12-04T00:08:03.250Z",
"resourceType": "Group"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"members": [
{
"display": "blob.ross@blobsrus.co",
"value": "9e8719d9-276a-4964-9395-a493189a247c"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Requires an Organization API Key. Personal Access Tokens (PATs) are not supported for this endpoint.
Include in the Authorization header as: Bearer ORGANIZATION_API_KEY
The name of the group. Names must be 64 characters or less.
"Blob Sales"
A list of users to add as group members. Each member should be specified as an object containing a user ID.
Show child attributes
[
{
"value": "9e8719d9-276a-4964-9395-a493189a247c"
}
]Was this page helpful?